/*
  $Log:	aux.h,v $
 * Revision 1.3  92/03/18  14:14:52  ware
 * Working on consistent interface.
 * 
 * Revision 1.2  1992/01/03  21:53:17  cso
 * Using the message box widgets.
 *
 * Revision 1.1.1.3  1991/10/04  20:15:31  jbm
 * First HaL mods to ICA
 *
 * Revision 2.0  91/03/30  13:47:01  cso
 * This module is now in Alpha Release form.
 * 
 * Revision 1.6  91/02/22  10:12:01  cso
 * Documented globals and added other explanations.
 * 
 * Revision 1.5  90/11/20  16:09:26  cso
 * Cosmetic changes to make it easier to see the types (mostly externs).
 * Also, changes because of lint (functions with undeclared types).
 * This actually elimianted some errors.
 * 
 * Revision 1.4  90/09/03  14:49:36  cso
 * Changed function names to be consistent.
 * 
 * Revision 1.3  90/08/29  17:56:16  cso
 * Removed Alert_Status.
 * 
 * Revision 1.2  90/08/26  17:45:20  cso
 * Added the RCS Log message at the top for these messages.
 * 
*/


#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>

#include <X11/Xaw/Dialog.h>

#include <Xica/MsgBox.h>

#include "std.h"
#include "defs.h"
#include "types.h"

/* Globals */

Aux
   *Auxtree;  /* To maintain a pointer that follows the current focus
		 on auxiliary information (similar to Tree) */

/* External globals */

extern Node
   *Root,
   *Tree;
extern Widget
   Frame;


/* External routines */
   
extern Alt
   *FindAlt();
extern Aux
   *NewAux();
