/*
  $Log:	defs.h,v $
 * Revision 1.4  92/03/18  14:15:10  ware
 * Working on consistent interface.
 * 
 * Revision 1.3  1991/11/20  00:02:34  cso
 * Reorganized the interface by removing borders from around widgets and
 * relocating widgets.
 * Added a status widget to display info that was being output to stderr.
 * The xterm used to instantiate DeveGram is no longer required b/c of
 * this widget.
 * Created a couple of constants for maximum arguments used and width of
 * the interface.
 *
 * Revision 1.2  1991/11/07  21:03:27  cso
 * *** empty log message ***
 *
 * Revision 1.1.1.3  1991/10/04  20:15:40  jbm
 * First HaL mods to ICA
 *
 * Revision 2.0  91/03/30  13:47:29  cso
 * This module is now in Alpha Release form.
 * 
 * Revision 1.8  91/02/22  10:07:18  cso
 * Increased MAXLEVELS to 1000
 * 
 * Revision 1.7  90/11/29  14:31:14  cso
 * Alphabetized list of defines.
 * Added DEFAULTSPACE that is used in the tree display.
 * 
 * Revision 1.6  90/10/24  15:40:53  cso
 * Added SYMBOLSIZE.  Removed the different types and enum values and created
 * specific types for them in types.h.
 * 
 * Revision 1.5  90/09/03  14:50:45  cso
 * Changed function names to be consistent.
 * 
 * Revision 1.4  90/08/29  17:53:46  cso
 * Added a define ALERTSTATUS, eliminated OLD/NEWFILE, and changed some of
 * the values.
 * 
 * Revision 1.3  90/08/26  17:44:27  cso
 * Added the RCS Log message at the top for these messages.
 * 
*/

/* Constant definitions */

#define DEFAULTSPACE   20
#define FRAMEWIDTH    600
#define MAXARGS        20
#define MAXLEVELS    1000
#define MAXSYMBOLS   1000
#define SYMBOLSIZE    512
#define TITLE        "DeveGram"
