/*
  $Log:	interface.h,v $
 * Revision 1.6  92/03/18  14:16:11  ware
 * Working on consistent interface.
 * 
 * Revision 1.5  1992/02/11  16:24:46  cso
 * Changed the focus feedback to a switch of bg/fg colors and caret display
 *
 * Revision 1.4  1992/01/14  14:33:42  cso
 * Changed the organization of the header files and dependencies.  I was
 * brain-damaged when I first did this |-)
 *
 * Revision 1.3  1992/01/03  21:20:03  cso
 * Removed background fallbacks b/c they are dependent on color for now.
 * Moved accelerators for symbol attributes.
 * Standardized the SYNC compile variable.
 * Removed all calls for the alert shell.
 * Cross installed accelerators.
 *
 * Revision 1.2  1991/11/20  00:03:57  cso
 * Reorganized the interface by removing borders from around widgets and
 * relocating widgets.
 * Added a status widget to display info that was being output to stderr.
 * The xterm used to instantiate DeveGram is no longer required b/c of
 * this widget.
 * Created a couple of constants for maximum arguments used and width of
 * the interface.
 *
 * Revision 1.1.1.3  1991/10/04  20:16:09  jbm
 * First HaL mods to ICA
 *
 * Revision 2.0  91/03/30  13:49:45  cso
 * This module is now in Alpha Release form.
 * 
 * Revision 1.7  91/03/28  14:52:58  cso
 * Added the include of the threed bitmap and the external refs to NodeDone
 * and NodeSelect.
 * 
 * Revision 1.6  91/02/22  10:13:31  cso
 * Documented globals and added other explanations.
 * 
 * Revision 1.5  90/11/20  16:10:32  cso
 * Cosmetic changes to make it easier to see the types (mostly externs).
 * Also, changes because of lint (functions with undeclared types).
 * This actually elimianted some errors.
 * 
 * Revision 1.4  90/09/03  14:53:13  cso
 * Changed function names to be consistent.
 * 
 * Revision 1.3  90/08/26  17:46:18  cso
 * Added the RCS Log message at the top for these messages.
 * 
*/


/* External globals */

/* External routines */

extern Pixel
   Background,
   Foreground;

extern void
   CreateInterface();
