/*
  $Log:	remove.h,v $
 * Revision 1.5  92/03/18  14:17:01  ware
 * Working on consistent interface.
 * 
 * Revision 1.4  1992/01/14  14:34:12  cso
 * Changed the organization of the header files and dependencies.  I was
 * brain-damaged when I first did this |-)
 *
 * Revision 1.3  1991/11/22  23:35:25  cso
 * Finally, have the display working as expected, perhaps a bit quicker,
 * but there is still a small amount of flicker on the redraws.  The
 * fixes included some small problems when removing empty place holders
 * and complete alternatives.
 *
 * Revision 1.2  1991/11/20  00:05:04  cso
 * Reorganized the interface by removing borders from around widgets and
 * relocating widgets.
 * Added a status widget to display info that was being output to stderr.
 * The xterm used to instantiate DeveGram is no longer required b/c of
 * this widget.
 * Created a couple of constants for maximum arguments used and width of
 * the interface.
 *
 * Revision 1.1.1.3  1991/10/04  20:16:34  jbm
 * First HaL mods to ICA
 *
 * Revision 2.0  91/03/30  13:52:05  cso
 * This module is now in Alpha Release form.
 * 
 * Revision 1.3  91/03/28  14:55:33  cso
 * Added the ref to GetExposedAlt
 * 
 * Revision 1.2  91/02/22  10:15:31  cso
 * Documented globals and added other explanations.
 * 
 * Revision 1.1  90/11/26  13:25:12  cso
 * Initial revision
 * 
 * Revision 1.7  90/11/20  16:11:21  cso
 * Cosmetic changes to make it easier to see the types (mostly externs).
 * Also, changes because of lint (functions with undeclared types).
 * This actually elimianted some errors.
 * 
 * Revision 1.6  90/09/03  18:35:14  cso
 * Removed decl for CreateTreexAndStruct.  Added decl for CreateTreeW (I'm not
 * sure this is needed now).
 * 
 * Revision 1.5  90/09/03  14:56:55  cso
 * Changed function names to be consistent.
 * 
 * Revision 1.4  90/08/29  17:57:59  cso
 *  Added includes for Xlwh files.
 * 
 * Revision 1.3  90/08/26  17:47:59  cso
 * Added the RCS Log message at the top for these messages.
 * 
*/


/* External globals */

/* External routines */

extern Node
   *RemoveNode();
extern void
   RemoveOccur(),
   RemoveNullSymbols(),
   RemoveSubtree(),
   RemoveSymbol();

