/*
  $Log:	tree.h,v $
 * Revision 1.7  92/03/18  14:17:45  ware
 * Working on consistent interface.
 * 
 * Revision 1.6  1992/01/14  14:34:30  cso
 * Changed the organization of the header files and dependencies.  I was
 * brain-damaged when I first did this |-)
 *
 * Revision 1.5  1991/11/25  14:37:34  cso
 * Made lint modifications to ensure that function and variable types are
 * being used and declared correctly and consistently.
 *
 * Revision 1.4  1991/11/20  00:05:37  cso
 * Reorganized the interface by removing borders from around widgets and
 * relocating widgets.
 * Added a status widget to display info that was being output to stderr.
 * The xterm used to instantiate DeveGram is no longer required b/c of
 * this widget.
 * Created a couple of constants for maximum arguments used and width of
 * the interface.
 *
 * Revision 1.3  1991/11/18  23:47:30  cso
 * Added the Release 5 panner and porthole widgets to replace the
 * scrollbars on the navigation tree window.
 * They are compile time usable by using -DR5 in the CFLAGS.
 *
 * Revision 1.2  1991/11/07  21:03:56  cso
 * *** empty log message ***
 *
 * Revision 1.1.1.3  1991/10/04  20:16:54  jbm
 * First HaL mods to ICA
 *
 * Revision 2.0  91/03/30  13:53:27  cso
 * This module is now in Alpha Release form.
 * 
 * Revision 1.9  91/02/22  10:16:27  cso
 * Documented globals and added other explanations.
 * 
 * Revision 1.8  90/11/29  14:36:23  cso
 * Removed DEFAULTSPACE define.
 * 
 * Revision 1.7  90/11/20  16:11:16  cso
 * Cosmetic changes to make it easier to see the types (mostly externs).
 * Also, changes because of lint (functions with undeclared types).
 * This actually elimianted some errors.
 * 
 * Revision 1.6  90/10/24  15:54:52  cso
 * Added DEFAULTSPACE for the spacing in the form window.
 * 
 * Revision 1.5  90/10/04  16:11:39  cso
 * Added a define for DEFAULTSPACE.
 * 
 * Revision 1.4  90/09/03  18:34:42  cso
 * Removed global Level_Struct decl.
 * 
 * Revision 1.3  90/09/03  14:55:38  cso
 * Changed function names to be consistent.
 * 
 * Revision 1.2  90/08/26  17:47:35  cso
 * Added the RCS Log message at the top for these messages.
 * 
*/


/* External globals */

extern GC
   Gc,        /* Graphics context for the drawing routines */
   Pathgc;    /* Graphics context for drawing thick lines */
extern Widget
   Treeshell; /* The shell widget for getting access to other widgets
		 contained in its widget subtree */

/* External routines */

extern Alt
   *GetExposedAlt();
extern Node
   *GetFirstExposedChild();
extern void
   CreateTreeShell();
extern Widget
   CreateTreeW();
