/*
  $Log:	utils.h,v $
 * Revision 1.7  92/03/18  14:18:07  ware
 * Working on consistent interface.
 * 
 * Revision 1.6  1992/01/14  14:34:38  cso
 * Changed the organization of the header files and dependencies.  I was
 * brain-damaged when I first did this |-)
 *
 * Revision 1.5  1991/11/25  14:37:39  cso
 * Made lint modifications to ensure that function and variable types are
 * being used and declared correctly and consistently.
 *
 * Revision 1.4  1991/11/22  15:35:49  cso
 * 	Added a graphics context to the node type for easier
 * manipualtion of the line drawing in the navigation tree.  Tried to
 * eliminate the number of refreshes occurring for a particular expose
 * event, tough to debug in synchronous mode.
 *
 * Revision 1.3  1991/11/20  00:05:59  cso
 * Reorganized the interface by removing borders from around widgets and
 * relocating widgets.
 * Added a status widget to display info that was being output to stderr.
 * The xterm used to instantiate DeveGram is no longer required b/c of
 * this widget.
 * Created a couple of constants for maximum arguments used and width of
 * the interface.
 *
 * Revision 1.2  1991/11/14  14:31:38  cso
 * types.h utils.c utils.h CVS: CVS: Enter Log.  Lines beginning with
 * 'CVS: ' are removed automatically CVS:
 * ----------------------------------------------------------------------
 * Made the necessary additions and changes to provide a mechanism to
 * change symbol types between nonterminal types Nonterminal & Grouping.
 * In SGML terms, therefore, intermediate form terms, this is the
 * difference between having element tags and not.
 *
 * Revision 1.1.1.3  1991/10/04  20:17:03  jbm
 * First HaL mods to ICA
 *
 * Revision 2.1  91/05/28  10:24:58  cso
 * Removed Chosen_Symbol.
 * 
 * Revision 2.0  91/03/30  13:54:15  cso
 * This module is now in Alpha Release form.
 * 
 * Revision 1.10  91/02/22  10:16:45  cso
 * Documented globals and added other explanations.
 * 
 * Revision 1.9  90/11/29  14:36:50  cso
 * Alphabetized includes.  Added Scrollbar include.
 * 
 * Revision 1.8  90/11/26  13:25:57  cso
 * Modified extern list.
 * 
 * Revision 1.7  90/11/20  16:11:21  cso
 * Cosmetic changes to make it easier to see the types (mostly externs).
 * Also, changes because of lint (functions with undeclared types).
 * This actually elimianted some errors.
 * 
 * Revision 1.6  90/09/03  18:35:14  cso
 * Removed decl for CreateTreexAndStruct.  Added decl for CreateTreeW (I'm not
 * sure this is needed now).
 * 
 * Revision 1.5  90/09/03  14:56:55  cso
 * Changed function names to be consistent.
 * 
 * Revision 1.4  90/08/29  17:57:59  cso
 *  Added includes for Xlwh files.
 * 
 * Revision 1.3  90/08/26  17:47:59  cso
 * Added the RCS Log message at the top for these messages.
 * 
*/


/* External globals */


/* External routines */

extern Alt
   *FindAlt(),
   *NewAlt();
extern Aux
   *NewAux();
extern Node
   *FindNodeW(),
   *FindOccurW(),
   *FindTypeW(),
   *NewNode(),
   *Pop();
extern String
   MakeUpper();
extern void
   AddSymbol(),
   HideSubtree(),
   KillNodeWidgets(),
   KillWidgets(),
   MakeSubtree(),
   Push(),
   UpdateInterface();
