/* CONTENTS
   Owner:       Copyright 1990 The Ohio State University,
                Integrated Chameleon Architecture
   Module:      $File$
   Purpose:     main routine for mapping interface. 
   Programmer:  Conleth O'Connell
   Reviewer:    
   Revision:    $Revision: 1.4 $
   Date:        $Date: 92/05/29 16:20:17 $
*/

/* HISTORY
   $Log:	main.c,v $
 * Revision 1.4  92/05/29  16:20:17  boyd
 * Changes to improve resizing, consisting mostly of replacing Form widgets with
 * Group, Table, and Viewform.
 * 
 * 
 * Revision 1.3  92/03/16  12:20:16  ware
 * Merging cso and OSU versions.  Changes for titles.
 * 
 * Revision 1.2  1992/02/18  18:40:20  cso
 * Removed the direction buttons from the perms b/c only one is allowed
 *
 * Revision 1.1  1992/02/06  05:33:37  cso
 * Initial revision
 *
 * Revision 1.2  1992/01/14  20:55:05  cso
 * Connected up the code generation with the interface.
 *
 * Revision 1.1  1992/01/08  19:55:19  cso
 * Initial revision
 *
    Revision 1.0   date   who
    	
*/


/* #INCLUDES */

#include "widgets.h"

#include "types.h"
#include "defs.h"

/* External routines */

#include "interface.h"
extern void
   InstallSignalHandlers();

Boolean
   Dirtyflag;


int
main(argc, argv)

int
   argc;
char
   **argv;

{
   XtAppContext 
      appcon;

   InstallSignalHandlers();
   
   appcon = CreateInterface(argc, argv);
   Dirtyflag = False;
/*
   XtUnmanageChild(XtNameToWidget(Toplevel, "*nextperm"));
   XtUnmanageChild(XtNameToWidget(Toplevel, "*prevperm"));
*/   
   XtAppMainLoop(appcon);
   return(0);
}
