/* CONTENTS
   Owner:       Copyright 1990 The Ohio State University,
                Integrated Chameleon Architecture
   Module:      $File$
   Purpose:     main routine for mapping interface. 
   Programmer:  Conleth O'Connell
   Reviewer:    
   Revision:    $Revision: 1.3 $
   Date:        $Date: 92/03/16 13:02:42 $
*/

/* HISTORY
   $Log:	main.c,v $
 * Revision 1.3  92/03/16  13:02:42  ware
 * Conditionalize the title
 * 
 * Revision 1.2  1992/01/14  20:55:05  cso
 * Connected up the code generation with the interface.
 *
 * Revision 1.1  1992/01/08  19:55:19  cso
 * Initial revision
 *
    Revision 1.0   date   who
    	
*/


/* #INCLUDES */

#include "widgets.h"

#include "types.h"
#include "defs.h"

/* External routines */

#include "interface.h"
extern void
   InstallSignalHandlers();

Boolean
   Dirtyflag;


int
main(argc, argv)

int
   argc;
char
   **argv;

{
   XtAppContext 
      appcon;

   InstallSignalHandlers();
   
   appcon = CreateInterface(argc, argv);
   Dirtyflag = False;
   XtAppMainLoop(appcon);
   return(0);
}
