/*
   Owner:       Copyright 1992 The Ohio State University,
                Integrated Chameleon Architecture
   Module:      $RCSfile: widgets.h,v $
   Purpose:     

   Programmer:  Conleth O'Connell
   Reviewer:    
   Revision:    $Revision: 1.3 $
   Date:        $Date: 92/05/29 16:09:39 $

   HISTORY
   $Log:	widgets.h,v $
 * Revision 1.3  92/05/29  16:09:39  boyd
 * Changes to improve resizing, consisting mostly of replacing Form widgets with
 * Group, Table, and Viewform.  The interactive translators have not (yet) been
 * converted in this manner.
 * 
 * 
 * Revision 1.2  92/03/16  13:04:10  ware
 * Conditionalize the title
 * 
 * Revision 1.1  1992/01/08  19:57:58  cso
 * Initial revision
 *
*/

/* #INCLUDES */

#include "std.h"

#include <X11/cursorfont.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>

#include <X11/Core.h>
#include <X11/Shell.h>
   
#include <X11/Xaw/AsciiText.h>
#include <X11/Xaw/Command.h>
#include <X11/Xaw/Dialog.h>
#include <X11/Xaw/Form.h>
#include <X11/Xaw/Label.h>
#include <X11/Xaw/List.h>
#include <X11/Xaw/MenuButton.h>
#include <X11/Xaw/Scrollbar.h>
#include <X11/Xaw/SimpleMenu.h>
#include <X11/Xaw/Sme.h>
#include <X11/Xaw/SmeBSB.h>
#include <X11/Xaw/SmeLine.h>
#include <X11/Xaw/Toggle.h>
#include <X11/Xaw/Viewport.h>

#include <Xica/FileDlg.h>
#include <Xica/MsgBox.h>
#include <Xica/Status.h>
#include <Xica/Group.h>
#include <Xica/Table.h>
#include <Xica/Viewform.h>
