/* CONTENTS
   Owner:       Copyright 1992 The Ohio State University,
                Integrated Chameleon Architecture
   Module:      $RCSfile: utils.h,v $
   Purpose:     

   Programmer:  Conleth O'Connell
   Reviewer:    
   Revision:    $Revision: 1.2 $
   Date:        $Date: 92/03/16 13:54:16 $



   HISTORY
   $Log:	utils.h,v $
 * Revision 1.2  92/03/16  13:54:16  ware
 * Make titles consistent.  Fix some consistency problems.
 * 
 * Revision 1.1  1992/01/28  22:35:32  cso
 * Initial revision
 *
*/

/* #INCLUDES */

/*  EXTERNS  */

extern Boolean
   CheckDependencies(),
   GetDuplicateEntries();
extern Entry
   *FindEntry(),
   *InsertEntry(),
   *NextUniqueTag();
extern int
   GetMaxPriority();
extern void
   CheckDuplicates(),
   CorrectPriority(),
   FixDuplicates(),
   ResetVert(),
   RemoveEntry(),
   SetState(),
   UpdatePriority();


/*  GLOBALS  */

