/* CONTENTS
   Owner:       Copyright 1991 The Ohio State University,
                Integrated Chameleon Architecture
   Module:      $RCSfile: utils.h,v $
   Purpose:     

   Programmer:  Conleth O'Connell
   Reviewer:    
   Revision:    $Revision: 1.3 $
   Date:        $Date: 92/05/26 19:59:01 $


   HISTORY
   $Log:	utils.h,v $
 * Revision 1.3  92/05/26  19:59:01  boyd
 * Added routines EditorDoLayout and ShellParent, to be used to fix problem of
 * duplicate tags being overlaid in the tag editors.
 * 
 * Revision 1.2  92/03/16  15:02:47  ware
 * Make titles consistent.
 * 
 * Revision 1.1  1992/01/28  18:34:19  cso
 * Initial revision
 *
*/

/* #INCLUDES */

/* #DEFINES  */

/*  EXTERNS  */

extern Boolean
   DetermineRoot(),
   ReadICA();
extern Dimension
   GetStringWidthInPixels();
extern String
   CorrectContext(),
   DetermineContext(),
   MakeUpper(),
   RemoveDuplicateChars(),
   StripTagString(),
   UpdateAlphabet();
extern TagCode
   DetermineTagCode();
extern Tagspec
   *FindTagptr(),
   *NewTagptr();
extern void
   EditorDoLayout(),
   CopyTags(),
   DisposeTagptr(),
   FixVerticals(),
   FreeTables(),
   PrintSpec(),
   ShiftScrollbars();
extern Widget
   ShellParent(),
   FindFocus();
