#include <stdio.h>

char *
makestr(str)

char
   *str;

{
   char
      *tstr;

   if ((tstr = (char *)malloc((unsigned) strlen(str) + 1)) == NULL)
   {
      fprintf(stderr, "Can't Malloc memory in makestr");
      exit(1);
   }
   strcpy(tstr, str);
#ifdef DEBUG
   fprintf(stderr, "makestr: [%s]\n", tstr);
#endif
   return(tstr);
}



char *
makestarttag(str)

char
   *str;

/* return the string with the "<" and ">" stripped off 
   and an "a" at the end */
{
   char
      *tstr;
   int
      i,
      len;
   
   len = strlen(str);
   if ((tstr = (char *) malloc((unsigned) len)) == NULL)
   {
      fprintf(stderr, "Can't Malloc memory in makestarttag");
      exit(1);
   }		
   for (i = 0; i < (len - 2); i++)
   {
      tstr[i] = str[i + 1];
   }
   tstr[len - 2] = 'a';
   tstr[len - 1] = '\0';
#ifdef DEBUG
   fprintf(stderr, "makestarttag: [%s] -> [%s]\n", str, tstr);
#endif
   return(tstr);
}



char *
makeendtag(str)

char
   *str;

/* return the string with the "</" and ">" stripped off 
   and a "z" at the end */
{
   char
      *tstr;
   int
      i,
      len;
   
   len = strlen(str);
   if ((tstr = (char *) malloc((unsigned) len)) == NULL)
   {
      fprintf(stderr, "Can't Malloc memory in makeendtag");
      exit(1);
   }		
   for (i = 0; i < (len - 3); i++)
   {
      tstr[i] = str[i + 2];
   }
   tstr[len - 3] = 'z';
   tstr[len - 2] = '\0';
#ifdef DEBUG
   fprintf(stderr, "makeendtag: [%s] -> [%s]\n", str, tstr);
#endif
   return(tstr);
}
