#ifndef _IcaText_h
#define _IcaText_h

/****************************************************************
 *
 * IcaText widgets - subclass of AsciiText
 *
 ****************************************************************/

#include <X11/Xaw/AsciiText.h>

/* Resources:

New resources:
 Name		     Class		RepType		Default Value
 ----		     -----		-------		-------------
 acceptProc          Callback           Function        NULL

Only the following defaults have changed:
 Name		     Class		RepType		Default Value
 ----		     -----		-------		-------------
 resize 	     Resize		ResizeMode      resizeBoth

Note: the caller will probably want editType other than the default Read,
but this cannot be changed here - a resource must be given.
*/

#define XtNacceptProc  "acceptProc"

/*
 * Everything else we need is in StringDefs.h, Text.h, or AsciiText.h
 */

typedef struct _IcaTextClassRec	*IcaTextWidgetClass;
typedef struct _IcaTextRec      *IcaTextWidget;

extern WidgetClass icaTextWidgetClass;

#endif /* _IcaText_h */
