#ifndef _IcaTextP_h
#define _IcaTextP_h

#include <X11/Xaw/AsciiTextP.h>
#include "IcaText.h"

typedef struct {int empty;} IcaTextClassPart;

typedef struct _IcaTextClassRec {
    CoreClassPart	core_class;
    SimpleClassPart	simple_class;
    TextClassPart	text_class;
    AsciiClassPart	ascii_class;
    IcaTextClassPart    ica_text_class;
} IcaTextClassRec;

extern IcaTextClassRec icaTextClassRec;

typedef struct { 
    XtCallbackList acceptProc;
} IcaTextPart;

typedef struct _IcaTextRec {
    CorePart		core;
    SimplePart		simple;
    TextPart		text;
    AsciiPart           ascii;
    IcaTextPart         ica_text;
} IcaTextRec;

#endif /* _IcaTextP_h */
