#ifndef _Viewform_h
#define _Viewform_h

#include <X11/Xaw/Form.h>

/***********************************************************************
 *
 * Viewform Widget
 *
 ***********************************************************************/

/*
  This widget is meant to be used like form, but strictly inside viewports.

  The difference (for now) is simply that it doesn't have a resize method,
  and hence doesn't destroy its own layout in situations where the
  preferred size of the widget will always be honored.
*/

typedef struct _ViewformClassRec	*ViewformWidgetClass;
typedef struct _ViewformRec		*ViewformWidget;

extern WidgetClass viewformWidgetClass;

#endif /* _Viewform_h */

