#ifndef _ViewformP_h
#define _ViewformP_h

#include <X11/Xaw/FormP.h>
#include "Viewform.h"

typedef struct {
    XtPointer     empty;
} ViewformClassPart;

typedef struct _ViewformClassRec {
    CoreClassPart	core_class;
    CompositeClassPart	composite_class;
    ConstraintClassPart	constraint_class;
    FormClassPart	form_class;
    ViewformClassPart	viewform_class;
} ViewformClassRec;

extern ViewformClassRec viewformClassRec;

typedef struct _ViewformPart {
    int        empty;   /* for now */
} ViewformPart;

typedef struct _ViewformRec {
    CorePart		core;
    CompositePart	composite;
    ConstraintPart	constraint;
    FormPart		form;
    ViewformPart	viewform;
} ViewformRec;

typedef struct _ViewformConstraintsPart {
    int empty;         /* for now */
} ViewformConstraintsPart;

typedef struct _ViewformConstraintsRec {
    FormConstraintsPart         form;
    ViewformConstraintsPart	viewform;
} ViewformConstraintsRec, *ViewformConstraints;

#endif /* _ViewformP_h */
