#ifndef _WaitP_h
#define _WaitP_h

#include "Wait.h"
#include <X11/CoreP.h>

typedef struct {
    Cursor  *clockFace;
} WaitClassPart;

typedef struct _WaitClassRec {
    CoreClassPart	core_class;
    WaitClassPart	wait_class;
} WaitClassRec;

extern WaitClassRec waitClassRec;

typedef struct {
  /* private */
  Cursor       cursor;
  Boolean      waiting;
  XtIntervalId timer;
  Cardinal     count;
} WaitPart;

typedef struct _WaitRec {
    CorePart	core;
    WaitPart	wait;
} WaitRec;

#endif /* _WaitP_h */
