/*
  $Log:	alt.h,v $
 * Revision 1.7  92/03/18  14:14:37  ware
 * Working on consistent interface.
 * 
 * Revision 1.6  1992/01/14  14:32:54  cso
 * Changed the organization of the header files and dependencies.  I was
 * brain-damaged when I first did this |-)
 *
 * Revision 1.5  1992/01/02  22:37:00  cso
 * In ChangeType:
 * 	Modified the routine to use PutSymbolType for toggling
 * between Group and Part types.
 *
 * Renamed ChangeOccurrence to SetOccurW:
 * 	Use a menu to change the occurrence but first update Tree to
 * point to the correct node.
 *
 * Changed the classes of widgets for the type and occurrence.
 *
 * In NodeDone:
 * 	Restructured to use a panel for the user to describe the
 * symbol's type and occurrence, this still needs refinement.
 * 	Fixed the keyboard focus problem when empty placeholders are
 * removed.
 *
 * Revision 1.4  1991/11/22  23:34:54  cso
 * Finally, have the display working as expected, perhaps a bit quicker,
 * but there is still a small amount of flicker on the redraws.  The
 * fixes included some small problems when removing empty place holders
 * and complete alternatives.
 *
 * Revision 1.3  1991/11/20  00:01:57  cso
 * Reorganized the interface by removing borders from around widgets and
 * relocating widgets.
 * Added a status widget to display info that was being output to stderr.
 * The xterm used to instantiate DeveGram is no longer required b/c of
 * this widget.
 * Created a couple of constants for maximum arguments used and width of
 * the interface.
 *
 * Revision 1.2  1991/11/14  14:31:00  cso
 * types.h utils.c utils.h CVS: CVS: Enter Log.  Lines beginning with
 * 'CVS: ' are removed automatically CVS:
 * ----------------------------------------------------------------------
 * Made the necessary additions and changes to provide a mechanism to
 * change symbol types between nonterminal types Nonterminal & Grouping.
 * In SGML terms, therefore, intermediate form terms, this is the
 * difference between having element tags and not.
 *
 * Revision 1.1.1.3  1991/10/04  20:15:24  jbm
 * First HaL mods to ICA
 *
 * Revision 2.1  91/05/28  10:21:58  cso
 * Removed Chosen_Symbol.
 * 
 * Revision 2.0  91/03/30  13:46:33  cso
 * This module is now in Alpha Release form.
 * 
 * Revision 1.7  91/03/28  14:51:40  cso
 * Removed Actions stuff to be placed in interface.c
 * 
 * Revision 1.6  91/02/22  10:11:06  cso
 * Documented globals and added other explanations.
 * Added a reference to HighlightDepth
 * 
 * Revision 1.5  90/11/20  16:09:04  cso
 * Cosmetic changes to make it easier to see the types (mostly externs).
 * Also, changes because of lint (functions with undeclared types).
 * This actually elimianted some errors.
 * 
 * Revision 1.4  90/11/05  18:36:05  cso
 * Function names changed.
 * 
 * Revision 1.3  90/09/03  14:48:13  cso
 * Changed function names to be consistent.
 * 
 * Revision 1.2  90/08/26  17:45:13  cso
 * Added the RCS Log message at the top for these messages.
 * 
*/


/* External globals */

/* External routines */
   
extern Widget
   CreateAltDisplay(),
   CreateNodeW(),
   CreateOccurW(),
   CreateTypeW();
extern void
   AltAction(),
   NodeDone(),
   NodeSelect(),
   SensitizeAltButtons();

