/*
  $Log:	node.h,v $
 * Revision 1.4  92/03/18  14:16:39  ware
 * Working on consistent interface.
 * 
 * Revision 1.3  1992/01/14  14:33:59  cso
 * Changed the organization of the header files and dependencies.  I was
 * brain-damaged when I first did this |-)
 *
 * Revision 1.2  1991/11/20  00:04:35  cso
 * Reorganized the interface by removing borders from around widgets and
 * relocating widgets.
 * Added a status widget to display info that was being output to stderr.
 * The xterm used to instantiate DeveGram is no longer required b/c of
 * this widget.
 * Created a couple of constants for maximum arguments used and width of
 * the interface.
 *
 * Revision 1.1.1.3  1991/10/04  20:16:24  jbm
 * First HaL mods to ICA
 *
 * Revision 2.0  91/03/30  13:50:49  cso
 * This module is now in Alpha Release form.
 * 
 * Revision 1.2  90/09/03  14:54:51  cso
 * Changed function names to be consistent.
 * 
 * Revision 1.1  90/08/26  17:46:30  cso
 * Initial revision
 * 
*/

/* external routines */

extern Alt
   *GetNextAlt(),
   *GetPrevAlt();

extern Boolean
   IsFirstAlt(),
   IsFirstNode(),
   IsLastAlt(),
   IsLastNode(),
   IsRoot();
extern Node
   *GetFirstChild(),
   *GetNextNode(),
   *GetPrevNode();

