/*
  $Log:	symtab.h,v $
 * Revision 1.5  92/03/18  14:17:35  ware
 * Working on consistent interface.
 * 
 * Revision 1.4  1992/02/20  04:43:58  cso
 * Fixed a couple of minor problems with changing (editing) a symbol's
 * name, and ensured that the proper allocation and freeing of strings
 * occurred.
 *
 * Revision 1.3  1992/01/14  14:34:26  cso
 * Changed the organization of the header files and dependencies.  I was
 * brain-damaged when I first did this |-)
 *
 * Revision 1.2  1991/11/20  00:05:26  cso
 * Reorganized the interface by removing borders from around widgets and
 * relocating widgets.
 * Added a status widget to display info that was being output to stderr.
 * The xterm used to instantiate DeveGram is no longer required b/c of
 * this widget.
 * Created a couple of constants for maximum arguments used and width of
 * the interface.
 *
 * Revision 1.1.1.3  1991/10/04  20:16:49  jbm
 * First HaL mods to ICA
 *
 * Revision 2.0  91/03/30  13:52:59  cso
 * This module is now in Alpha Release form.
 * 
 * Revision 1.7  91/02/22  10:16:20  cso
 * Documented globals and added other explanations.
 * 
 * Revision 1.6  90/11/26  13:25:42  cso
 * Modified extern list.
 * 
 * Revision 1.5  90/11/20  16:11:13  cso
 * Cosmetic changes to make it easier to see the types (mostly externs).
 * Also, changes because of lint (functions with undeclared types).
 * This actually elimianted some errors.
 * 
 * Revision 1.4  90/11/05  18:39:02  cso
 * Removed Terminal_Cnt.
 * 
 * Revision 1.3  90/09/03  14:55:28  cso
 * Changed function names to be consistent.
 * 
 * Revision 1.2  90/08/26  17:47:31  cso
 * Added the RCS Log message at the top for these messages.
 * 
*/


/* External routines */

extern Boolean
   ChangeSymbol(),
   CheckTerminates(),
   IsDefined(),
   IsGroup();
extern int
   Visited();
extern TriState
   IsTerminal();
extern void
   InitTerminate(),
   ResetVisits();
