/* CONTENTS
   Owner:       Copyright 1992 The Ohio State University,
                Integrated Chameleon Architecture
   Module:      $RCSfile: mapping.h,v $
   Purpose:     

   Programmer:  Conleth O'Connell
   Reviewer:    
   Revision:    $Revision: 1.4 $
   Date:        $Date: 92/03/16 12:20:27 $


   HISTORY
   $Log:	mapping.h,v $
 * Revision 1.4  92/03/16  12:20:27  ware
 * Merging cso and OSU versions.  Changes for titles.
 * 
 * Revision 1.3  1992/03/10  22:01:15  cso
 * Added the install and other routines for managing the mapping
 * interface, including using the string generator that uses the regular
 * expression from rsf files for a specific tag to give the user a start
 * string to confirm - need to add a message of that fact.
 *
 * Revision 1.2  1992/02/28  23:49:22  cso
 * Added the SetFocus action to provide feedback about keyboard focus to
 * the user.
 * Added a function to convert the instance string into a simulated
 * stream for the compare_string function that compares it to a regular
 * expression to feedback info to the user about the validity of their
 * enterred instance.
 * Fixed a resizing problem in the mapping shell.
 *
 * Revision 1.1  1992/02/28  14:57:19  cso
 * Initial revision
 *
*/

/* #INCLUDES */

/*  EXTERNS  */

extern Pixel
   Background,
   Foreground;
extern RSFList
   *Activemap;
extern TagList
   Downmapping;
extern Widget
   Dtmpopup,
   Mapfocus;

extern Dimension
   GetStringWidthInPixels();
extern RSFList
   *InstallMappingInfo();
extern String
   ConvertStream();
extern void
   CollateData(),
   CreateMappingLine(),
   CreateMappingShell(),
   InstallNesting(),
   SetFocus(),
   TextReturn(),
   UpdateMappingW();


/*  GLOBALS  */

