/*
   Owner:       Copyright 1992 The Ohio State University,
                Integrated Chameleon Architecture
   Module:      $RCSfile: widgets.h,v $
   Purpose:     

   Programmer:  Conleth O'Connell
   Reviewer:    
   Revision:    $Revision: 1.4 $
   Date:        $Date: 92/05/29 16:21:00 $

   HISTORY
   $Log:	widgets.h,v $
 * Revision 1.4  92/05/29  16:21:00  boyd
 * Changes to improve resizing, consisting mostly of replacing Form widgets with
 * Group, Table, and Viewform.
 * 
 * 
 * Revision 1.3  92/03/16  12:21:55  ware
 * Merging cso and OSU versions.  Changes for titles.
 * 
 * Revision 1.2  1992/03/10  20:12:18  cso
 * Added the Group widget in includes
 *
 * Revision 1.1  1992/02/06  05:37:23  cso
 * Initial revision
 *
 * Revision 1.1  1992/01/08  19:57:58  cso
 * Initial revision
 *
*/

/* #INCLUDES */

#include "std.h"

#include <X11/cursorfont.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>

#include <X11/Core.h>
#include <X11/Shell.h>
   
#include <X11/Xaw/AsciiText.h>
#include <X11/Xaw/Command.h>
#include <X11/Xaw/Dialog.h>
#include <X11/Xaw/Form.h>
#include <X11/Xaw/Label.h>
#include <X11/Xaw/List.h>
#include <X11/Xaw/MenuButton.h>
#include <X11/Xaw/Scrollbar.h>
#include <X11/Xaw/SimpleMenu.h>
#include <X11/Xaw/Sme.h>
#include <X11/Xaw/SmeBSB.h>
#include <X11/Xaw/SmeLine.h>
#include <X11/Xaw/Toggle.h>
#include <X11/Xaw/Viewport.h>

#include <Xica/FileDlg.h>
#include <Xica/Group.h>
#include <Xica/Table.h>
#include <Xica/Viewform.h>
#include <Xica/MsgBox.h>
#include <Xica/Status.h>
