/*
   Owner:       Copyright 1992 The Ohio State University,
                Integrated Chameleon Architecture
   Module:      $RCSfile: display.h,v $
   Purpose:     

   Programmer:  Conleth O'Connell
   Reviewer:    
   Revision:    $Revision: 1.4 $
   Date:        $Date: 92/03/16 13:02:01 $

   HISTORY
   $Log:	display.h,v $
 * Revision 1.4  92/03/16  13:02:01  ware
 * Conditionalize the title
 * 
 * Revision 1.3  1992/02/06  06:07:52  cso
 * Fixed file dependencies and function decls
 *
 * Revision 1.2  1992/01/14  20:46:19  cso
 * Connected up the new UpdateInterface routine to the rest of the modules
 *
 * Revision 1.1  1992/01/08  19:54:21  cso
 * Initial revision
 *

*/

/* #INCLUDES */

/* #DEFINES  */

/*  EXTERNS  */

extern SymbolList *
   FindLeftSibling();
extern void
   AdjustVerticalScrollbar(),
   CreateSymbolButtons(),
   MakePermButton(),
   SensitizeAltButtons(),
   SensitizeAltToggles(),
   SensitizePermButtons(),
   SensitizeProdButtons(),
   SymbolManage(),
   UpdateInterface();

/*  GLOBALS  */

