/* CONTENTS
   Owner:       Copyright 1992 The Ohio State University,
                Integrated Chameleon Architecture
   Module:      $RCSfile: fileio.h,v $
   Purpose:     

   Programmer:  Conleth O'Connell
   Reviewer:    
   Revision:    $Revision: 1.4 $
   Date:        $Date: 92/03/16 13:52:52 $


  $Log:	fileio.h,v $
 * Revision 1.4  92/03/16  13:52:52  ware
 * Make titles consistent.  Fix some consistency problems.
 * 
 * Revision 1.3  1992/01/28  22:36:14  cso
 * Restructured dependencies
 *
 * Revision 1.2  1991/11/27  16:04:27  cso
 * Mostly aesthetic, minor changes including:
 *  - Adding the status widget
 *  - Changing interface resources
 *  - Using a maxarg variable
 *
 * Revision 1.1.1.3  1991/10/04  20:18:16  jbm
 * First HaL mods to ICA
 *
 * Revision 2.0  91/03/30  13:48:03  cso
 * This module is now in Alpha Release form.
 * 
 * Revision 1.9  91/02/22  10:12:47  cso
 * Documented globals and added other explanations.
 * 
 * Revision 1.8  90/11/20  16:09:55  cso
 * Cosmetic changes to make it easier to see the types (mostly externs).
 * Also, changes because of lint (functions with undeclared types).
 * This actually elimianted some errors.
 * 
 * Revision 1.7  90/10/24  15:53:24  cso
 * Changed the include of Loydes widgets so that no changes need to be done 
 * when porting except to change the -I option in the compile.
 * 
 * Revision 1.6  90/10/04  16:10:36  cso
 * I added the global decl for Treeshell.
 * 
 * Revision 1.5  90/09/03  14:51:29  cso
 * Added #ifedef XLWH.
 * 
 * Revision 1.4  90/08/26  17:46:06  cso
 * Added the RCS Log message at the top for these messages.
 * 
*/


/*  EXTERNS  */

extern FILE
   *OpenFile();
extern String
   GetFilename();
extern void
   CreateFileIOShell();
