/* CONTENTS
   Owner:       Copyright 1991 The Ohio State University,
                Integrated Chameleon Architecture
   Module:      $RCSfile: alpha.h,v $
   Purpose:     

   Programmer:  Conleth O'Connell
   Reviewer:    
   Revision:    $Revision: 1.3 $
   Date:        $Date: 92/03/16 15:00:39 $


   Functions Index:
   AVAIL   NAME DEPENDS ON INTERNALLY      EXTERNALLY
   -----   ----            ----------      ----------


   HISTORY
   $Log:	alpha.h,v $
 * Revision 1.3  92/03/16  15:00:39  ware
 * Make titles consistent.
 * 
 * Revision 1.2  1992/01/30  14:15:16  cso
 * Added globals: Background and Foreground for easier focus display.
 * Now, the focus is initialized to the data alphabet.  The borderwidth
 * is always 2, and the colors are changed from background to foreground
 * to show which widget has the focus (no changes in managing status
 * needed - Thanks Dave!)
 *
 * Revision 1.1  1992/01/28  18:33:05  cso
 * Initial revision
 *
*/

/* #INCLUDES */

/* #DEFINES  */

/*  EXTERNS  */

extern Boolean
   Dirtyflag;
extern Pixel
   Background,
   Foreground;
extern Widget
   Alffocus;


extern void
   CreateInterface(),
   UpdateInterface();
