/* CONTENTS
   Owner:       Copyright 1991 The Ohio State University,
                Integrated Chameleon Architecture
   Module:      $RCSfile: contab.c,v $
   Purpose:     

   Programmer:  Conleth O'Connell
   Reviewer:    
   Revision:    $Revision: 1.3 $
   Date:        $Date: 92/03/16 15:00:59 $


   Functions Index:
   AVAIL   NAME DEPENDS ON INTERNALLY      EXTERNALLY
   -----   ----            ----------      ----------


   HISTORY
   $Log:	contab.c,v $
 * Revision 1.3  92/03/16  15:00:59  ware
 * Make titles consistent.
 * 
 * Revision 1.2  1992/01/28  18:41:15  cso
 * Restructured dependencies
 *
*/

/* #INCLUDES */

#include "widgets.h"
#include "defs.h"
#include "types.h"

/*  EXTERNS  */

#include "retag.h"
#include "tables.h"

String
   Ctxttab[MAX_CTXT];
int
   Ctxtndx;

/* ****************************************************************** */
/* Ctxttab is a list of start condition names appearing in the        */
/* .rsf file to print the "%start ..." statement in the lex spec.     */
/* ****************************************************************** */



void
CreateCtxttab()

{
   int
      i,
      j;
   
   Ctxtndx = 0;
   for (i = 0; i < Lexndx; i++)
   {
      if (Lextab[i].ccode != Nope)
      {
	 for (j = 0; j < Ctxtndx; j++)
	 {
	    if (strcmp(Ctxttab[j], Lextab[i].context) == 0)
	    {
	       break;
	    }
	 }
	 if (j == Ctxtndx)
	 {
	    Ctxttab[Ctxtndx] = XtNewString(Lextab[i].context);
	    Ctxtndx++;
	 }
      }
   }
   return;
}

