#include "defs.h"

extern int
   amax,
   cmax,
   tmax,
   tindex,
   maxterms,
   tmpmax[];
extern int
   ambtab[],
   contab[],
   termidx[],
   termtab[];
extern char
   *terms[];

int
  temp[TMAX][TMAX];



int
FindToken(terminal)

char
   *terminal;

{
   int
      i;

   for (i = 0; i < maxterms; i++)
   {
      if (strcmp(terminal, terms[i]) == 0)
      {
	 return(257 + i);
      }
   }
   return(-1);
}




void
insert(token, state1, state2)

int
   token,
   state1,
   state2;

{
   int
      i,
      j,
      nota,
      notb;

   nota =  1;
   notb =  1;
   j    = -1;
   for (i = 0; i < tindex; i++)
   {
      if (token == temp[i][0])
      {
	 j = i;
      }
   }
   if (j < 0)
   {
      j          = tindex++;
      temp[j][0] = token;
      tmpmax[j]  = 1;
   }
   else
   {
      for (i = 1; i < tmpmax[j]; i++)
      {
	 if (temp[j][i] == state1)
	 {
	    nota = 0;
	 }
	 if (temp[j][i] == state2)
	 {
	    notb = 0;
	 }
      }
   }
   if (nota != 0)
   {
      temp[j][tmpmax[j]++] = state1;
   }
   if (notb != 0)
   {
      temp[j][tmpmax[j]++] = state2;
   }
}




static void
DumpTempOfI(k)

int
   k;

{
   int
      i,
      j,
      n,
      flag,
      count;

   flag = 0;
   for (i = ambtab[amax]; ((termtab[i] != 0) && (flag == 0)); i++)
   {
      flag = 1;
      for (j = 1; ((j < tmpmax[k]) && (flag == 1)); j++)
      {
	 flag = 0;
	 for (n = termidx[i]; ((contab[n] != 0) && (flag == 0)); n++)
	 {
	    if (temp[k][j] == contab[n])
	    {
	       flag = 1;
	    }
	 }
      }
      if (flag != 0)
      {
	 count = 0;
	 for (n = termidx[i]; (contab[n] != 0); n++)
	 {
	    count++;
	 }
	 if (count != (tmpmax[k] - 1))
	 {
	    flag = 0;
	 }
      }
   }
   n = tmax - 1;
   if (flag != 0)
   {
      /* entries exist */
      termidx[n] = termidx[i - 1];
   }
   else
   {
      termidx[n] = cmax;
      for (j = 1; j < tmpmax[k]; j++)
      {
	 contab[cmax++] = temp[k][j];
      }
      contab[cmax++] = 0;
   }
   tmpmax[k] = 0;
   return;
}




void
DumpConflicts()

{
   int
      i;

   termtab[tmax] = temp[0][0];
   termidx[tmax] = cmax;
   tmax++;
   for (i = 1; i < tmpmax[0]; i++)
   {
      contab[cmax++] = temp[0][i];
   }
   contab[cmax] = 0;
   cmax++;
   for (i = 1; i < tindex; i++)
   {
      termtab[tmax] = temp[i][0];
      tmax++;
      DumpTempOfI(i);
   }
   tindex = 0;
   return;
}
