#include <stdio.h>

char *
NewString(str)

char
   *str;

{
   char
      *tempstr;
   int
      len;
   
   if (str != NULL)
   {
      len = strlen(str);
      tempstr = (char *) malloc((unsigned) (len + 1));
      if (tempstr == NULL)
      {
	 fprintf(stderr,
		 "NewString: unable to allocate [%d] bytes of memory\n",
		 len + 1);
	 exit(1);
      }
      strcpy(tempstr, str);
      return(tempstr);
   }
   else
   {
      return("");
   }
}



void
Output(fptr, str)

FILE
   *fptr;
char
   *str[];

{
   int
      i;
   
   for (i = 0; str[i] != 0; i++)
   {
      fprintf(fptr, "%s\n", str[i]);
   }
}



void
MakeTranslator(target)

char
   *target;

{
   char
      *icaroot,
      *makestring;
   int
      len;
   
   /* figure out if ICAROOT is defined */
   /* otherwise, just assume the current directory.  */
   
   icaroot = (char *) getenv("ICAROOT");
   if (icaroot == NULL)
   {
      icaroot = ".";
   }
   len = strlen(target);
   makestring = (char *) malloc((unsigned) (len + 64));
   if (makestring == NULL)
   {
      fprintf(stderr, "MakeTranslator: unable to allocate [%d] bytes\n",
	      len + 64);
      exit(1);
   }
   sprintf(makestring, "make -f %s/lib/Makefile.down 'TARGET=%s'",
	   icaroot, target);
#ifdef DEBUG
   fprintf(stderr, "Making [%s]\n", makestring);
#endif
   system(makestring);
}
