#ifndef _Xica_Status_h
/*
 $Header: /n/abyss/2/chameleon/staff/src/ICA/src/Xica/Status.h,v 1.4 92/03/18 13:47:28 ware Exp $
*/
/******************************************************************************
 *									      *
 * Status.h			Public Definitions for the StatusWidget       *
 *									      *
 * VERSION:	1.00		FOR X Version 11, Release 4		      *
 *									      *
 * COPYRIGHT NOTICE							      *
 *									      *
 *	Copyright 1991	Robert M. Griffiths	All Rights Reserved	      *
 *									      *
 * USE:                                                                       *
 *                                                                            *
 *      This widget has the same resources as the AsciiTextWidget. To create  *
 *      an instance of this widget, use XtCreateManagedWidget with the class  *
 *      statusWidgetClass. This widget allows for the programmer to display   *
 *      messages to the user using the function XicaStatus. The syntax of     *
 *      this function is very similar to fprintf:                             *
 *      XicaStatus(widget, format, ...), where widget is a particular         *
 *      instance of the StatusWidget, format is a printf-style format string, *
 *      and ... represents the parameters for the format string. See          *
 *      printf(3V) for an explanation of the syntax. XicaStatus is called     *
 *      once for every string to be displayed. The new string is appended to  *
 *      the string already in the widget so that the user may scroll to view  *
 *      all of the messages sent to the widget.                               *
 ******************************************************************************
 $Log:	Status.h,v $
 * Revision 1.4  92/03/18  13:47:28  ware
 * Changes to support better geometry management
 * 
 * Revision 1.4  92/02/26  18:19:14  boyd
 * *** empty log message ***
 * 
 */

/*
 * All resources are listed in StringDefs.h, Text.h, and AsciiText.h
 */


#include <X11/Xaw/AsciiText.h>

typedef struct _StatusClassRec	*StatusWidgetClass;
typedef struct _StatusRec	*StatusWidget;

extern WidgetClass statusWidgetClass;

void XicaStatus(
#if NeedFunctionPrototypes
va_alist /* widget, format, ... */
#endif
);

#define _Xica_Status_h
#endif

