/******************************************************************************
 *									      *
 * StatusP.h			Private Definitions for the StatusWidget      *
 *									      *
 * VERSION:	1.00		FOR X Version 11, Release 4		      *
 *									      *
 * COPYRIGHT NOTICE							      *
 *									      *
 *	Copyright 1991	Robert M. Griffiths	All Rights Reserved	      *
 *									      *
 ******************************************************************************
 */

#ifndef _Xica_statusP_h
#define _Xica_statusP_h

#include <X11/Xaw/AsciiTextP.h>

#include "Status.h"


typedef struct {
  int foo;          /* need dummy field to keep compiler happy */
} StatusClassPart;

typedef struct _StatusClassRec {
   CoreClassPart       core_class;
   SimpleClassPart     simple_class;
   TextClassPart       text_class;
   AsciiClassPart      ascii_class;
   StatusClassPart     status_class;
} StatusClassRec;

extern StatusClassRec statusClassRec;

typedef struct _StatusPart {
    /* Status Widget resources	*/

    /* Status Widget's private data */
    XawTextPosition buffer_size;      /* Size of total string in widget */
} StatusPart;

typedef struct _StatusRec {
    CorePart            core;
    SimplePart          simple;
    TextPart            text;
    AsciiPart           ascii;
    StatusPart		status;
} StatusRec;

#endif /* _Xica_statusP_h */
/* DON'T ADD STUFF AFTER THIS #endif */
